﻿/* Generated with Author-it 5.4.131.8883  6/24/2011 2:55:20 PM */
Page=new Array();Page[0]=new Array("Oracle Primavera provides the following documentation to assist you when using Primavera P6. Click the links below for document descriptions and to access each document.","Introduction","primaveradocumentationcenter.htm");
Page[1]=new Array("The following documents are revised since the initial release of P6 Enterprise Project Portfolio Management 7.0:","Administrator's Guide (English) - Updated to ensure database validation is performed prior to upgrades","Manual Database Upgrades - Updated to ensure database validation is performed prior to upgrades","Stand-alone Installation and Upgrades","Tested Configurations","Web Services Administrator's Guide","The following documents are added to this library since the initial release of P6 Enterprise Project Portfolio Management 7.0:","Integration API Documentation","Integration API Programmer's Reference","Multiple language versions of the P6 Administrator's Guide","Multiple language versions of the P6 Methodology Management Reference Manual","Multiple language versions of the P6 Project Management Reference Manual","Multiple language versions of P6 Web Access Help","P6 Reporting Database R1 (6.2.1) Administrator's Guide","P6 Reporting Database R2 and P6 Analytics R1 Administrator&#8217;s Guide","P6 Reporting Database R1 (6.2.1) User's Guide","P6 Reporting Database R2 and P6 Analytics User's Guide","P6 Reporting Database R1 (6.2.1) Tested Configurations","P6 Reporting Database R2 and P6 Analytics R1 Tested Configurations","P6 Reporting Database R1 (6.2.1) Field Mapping","P6 Reporting Database R2 and P6 Analytics R1 Field Mapping","P6 Reporting Database R2 and P6 Analytics R1 Schema Documentation","P6 Reporting Database R2 Installation Checklist","Web Services Programmer's Guide","Web Services Reference Manual","What's Revised and Added in this Library","33961.htm");
Page[2]=new Array("The following core documents show you how to install P6 Enterprise Project Portfolio Management, and begin creating and managing your projects and programs.","Click the links below for document descriptions and to access each document.","Getting Started","32777.htm");
Page[3]=new Array("The Administrator's Guide describes how to:","Prepare for your Primavera implementation","Automatically install, configure, and upgrade Primavera Oracle or SQL database(s), optimize database performance, configure the database servers, and change database configuration settings","Install and configure the following server components: the P6 Web Access application server, Primavera Progress Reporter Server (Timesheets server), Distributed Job Service server, and content repository","Install and configure the following Primavera components (either automatically or using an unattended setup): P6 Web Access, Project Management, Methodology Management, Progress Reporter, Software Development Kit, Job Service, and Distributed Job Service","Configure security including defining users, assigning product licenses, creating and assigning profiles, configuring authentication, and defining access to OBS elements, resources, and P6 Web Access functionality","Set administrative preferences for the Project Management module, Methodology Management module, and Timesheets","The Administrator's Guide is available in multiple languages:","English Administrator's Guide","Japanese Administrator's Guide","Simplified Chinese Administrator's Guide","Administrator's Guide","primavera_p6_administrator_s_guide.htm");
Page[4]=new Array("For the supported hardware and software configurations for P6 EPPM, refer to the Tested Configurations Document. This document lists the following types of supported hardware and software:","Databases","Database Client Software","Java Application Servers","Web Servers","Client Operating Systems","Browsers","Client JREs","LDAP Software","Single Sign-On Environments","Citrix Software","Document Repositories","Workflow Systems","Server Platforms","Server Operating Systems","International Languages","Other Primavera Applications","Click here for the Tested Configurations document","Tested Configurations","tested_configurations.htm");
Page[5]=new Array("The Project Management Reference Manual describes Primavera's approach to managing projects and introduces you to the Project Management module. This manual describes how to use the Project Management module to:","Create projects and set up your global (enterprise) data structure, including the Enterprise Project Structure (EPS), Organizational Breakdown Structure (OBS), resource and role hierarchy, budgets, project codes, calendars, and user-defined fields.","Implement the project schedule by defining a Work Breakdown Structure (WBS), creating and assigning activity codes, adding project activities, defining activity details, establishing relationships, assigning resources/roles to activities, defining cost accounts, adding expenses, and more.","Once projects are underway, create and maintain baselines for comparison, update and schedule projects, level resources, apply actuals, store period performance, summarize projects, add issues, risks, and thresholds, assign work products and documents, create reflection projects, and track project progress.","Group, sort, and filter data; create, save, and print layouts; adjust the timescale; format charts and spreadsheets; customize columns; create, run, and print reports; and, publish a project website.","Exchange data with other Project Management module users, as well as Primavera Contract Management, Primavera Contractor, Primavera Methodology Management, Primavera Project Planner (P3), Microsoft Project, and Microsoft Excel.","The Project Management Reference Manual is available in multiple languages:","English Project Management Reference Manual","Japanese Project Management Reference Manual @","Simplified Chinese Project Management Reference Manual @","Project Management Reference Manual","primavera_p6_project_management_reference_manual.htm");
Page[6]=new Array("P6 Web Access Help is provided here as a convenience for users of the P6 Web Access product.","P6 Web Access Help is available in multiple languages:","English P6 Web Access Help","French P6 Web Access Help @","German P6 Web Access Help @","Japanese P6 Web Access Help @","Simplified Chinese P6 Web Access Help @","Web Access Help","6497.htm");
Page[7]=new Array("The Administrator's Guide describes how to:","Prepare for your Primavera implementation","Automatically install, configure, and upgrade Primavera Oracle or SQL database(s), optimize database performance, configure the database servers, and change database configuration settings","Install and configure the following server components: the P6 Web Access application server, Primavera Progress Reporter Server (Timesheets server), Distributed Job Service server, and content repository","Install and configure the following Primavera components (either automatically or using an unattended setup): P6 Web Access, Project Management, Methodology Management, Progress Reporter, Software Development Kit, Job Service, and Distributed Job Service","Configure security including defining users, assigning product licenses, creating and assigning profiles, configuring authentication, and defining access to OBS elements, resources, and P6 Web Access functionality","Set administrative preferences for the Project Management module, Methodology Management module, and Timesheets","The Administrator's Guide is available in multiple languages:","English Administrator's Guide","Japanese Administrator's Guide","Simplified Chinese Administrator's Guide","Administrator's Guide","primavera_p6_administrator_s_guide_1.htm");
Page[8]=new Array("Explains how to install and configure the P6 Integration API, which allows direct access to P6 EPPM via Java. Those creating client code in Java and needing direct access to the P6 EPPM database should read this guide.","Click here for the Integration API Administrator's Guide","Integration API Administrator's Guide","primavera_p6_integration_api_administrator_s_guide.htm");
Page[9]=new Array("The purpose of this document is to provide a roadmap for installing and upgrading the stand-alone components of Oracle Primavera P6 v7.0.","Click here for the Stand-alone Installation and Upgrades document (Revised)","Stand-alone Installation and Upgrades","stand_alone_installation_and_upgrades.htm");
Page[10]=new Array("P6 fully supports Microsoft Windows 2008 SP2 Terminal Services along with Citrix Presentation Server v4.5 and Citrix XenApp5.0. Running P6 under Windows Terminal Services, published through Citrix is recommended in the following cases:","Users running through a WAN connection are having Performance issues whereas users on the Local LAN are achieving acceptable Performance.","The Connect Speed between the Desktop Client and Database server is a T1/T3 WAN link or slower with 50 Milliseconds or more of Latency.","You have sensitive Project Data that you want to secure thru an SSL connection (Citrix supports SSL/High RCA encryption technologies).","You do not want to upgrade the hardware of all your Desktop Clients or maintain remote Client Configurations, but would rather centralize your users for easier administration.","Click here for the Terminal Services and Citrix Guide","Terminal Services and Citrix Guide","terminal_services_and_citrix.htm");
Page[11]=new Array("For the supported hardware and software configurations for P6 EPPM, refer to the Tested Configurations Document. This document lists the following types of supported hardware and software:","Databases","Database Client Software","Java Application Servers","Web Servers","Client Operating Systems","Browsers","Client JREs","LDAP Software","Single Sign-On Environments","Citrix Software","Document Repositories","Workflow Systems","Server Platforms","Server Operating Systems","International Languages","Other Primavera Applications","Click here for the Tested Configurations document","Tested Configurations","tested_configurations_1.htm");
Page[12]=new Array("The Web Services Administrator's Guide describes how to install, configure, and deploy P6 Web Services, which enables organizations to seamlessly integrate Primavera functionality into other web-based applications using web services standards. This guide also describes how to:","Configure database settings","Define P6 Web Services configuration settings","Configure authentication modes","Click here for the Web Services Administrator's Guide","Web Services Administrator's Guide","primavera_p6_WS_administrator_s_guide.htm");
Page[13]=new Array("The Methodology Management Reference Manual describes how to store your company's best practices as reusable project plan templates. This manual describes how to use the Methodology Management module to:","Create methodologies and define global methodology data such as methodology codes, the Work Breakdown Structure (WBS), the Organizational Breakdown Structure (OBS), the resource and role hierarchy, and user-defined fields.","Create a project schedule template by creating and assigning activity codes, adding project activities, defining activity details, establishing relationships, assigning resources/roles to activities, adding expenses, adding risks, creating a document library, and more.","Group, sort, and filter data; create, format, save, and print layouts; customize columns; and, create, run, and print reports.","The Methodology Management Reference Manual is available in multiple languages:","English Methodology Management Reference Manual","Japanese Methodology Management Reference Manual","Simplified Chinese Methodology Management Reference Manual","Methodology Management Reference Manual","primavera_p6_methodology_management_reference_manual.htm");
Page[14]=new Array("The P3 to P6 Guide introduces you to P6 EPPM and describes the benefits of upgrading from P3 to P6 EPPM. This guide also:","Describes the P6 EPPM implementation process and helps you develop an implementation strategy","Lists the terms and fields used in P6 EPPM and how they correlate to P3 terms and fields","Provides useful tips to refer to when getting started in P6 EPPM","Provides best practice information for you to consider before converting projects from P3 to P6 EPPM","Guides you through the conversion process","Click here for the P3 to P6 Migration Guide","P3 to P6 Migration Guide","migrating_from_p3_to_p6_guide.htm");
Page[15]=new Array("The Project Management Reference Manual describes Primavera's approach to managing projects and introduces you to the Project Management module. This manual describes how to use the Project Management module to:","Create projects and set up your global (enterprise) data structure, including the Enterprise Project Structure (EPS), Organizational Breakdown Structure (OBS), resource and role hierarchy, budgets, project codes, calendars, and user-defined fields.","Implement the project schedule by defining a Work Breakdown Structure (WBS), creating and assigning activity codes, adding project activities, defining activity details, establishing relationships, assigning resources/roles to activities, defining cost accounts, adding expenses, and more.","Once projects are underway, create and maintain baselines for comparison, update and schedule projects, level resources, apply actuals, store period performance, summarize projects, add issues, risks, and thresholds, assign work products and documents, create reflection projects, and track project progress.","Group, sort, and filter data; create, save, and print layouts; adjust the timescale; format charts and spreadsheets; customize columns; create, run, and print reports; and, publish a project website.","Exchange data with other Project Management module users, as well as Primavera Contract Management, Primavera Contractor, Primavera Methodology Management, Primavera Project Planner (P3), Microsoft Project, and Microsoft Excel.","The Project Management Reference Manual is available in multiple languages:","English Project Management Reference Manual","Japanese Project Management Reference Manual @","Simplified Chinese Project Management Reference Manual @","Project Management Reference Manual","primavera_p6_project_management_reference_manual_1.htm");
Page[16]=new Array("P6 Web Access Help is provided here as a convenience for users of the P6 Web Access product.","P6 Web Access Help is available in multiple languages:","English P6 Web Access Help","French P6 Web Access Help @","German P6 Web Access Help @","Japanese P6 Web Access Help @","Simplified Chinese P6 Web Access Help @","Web Access Help","6497_1.htm");
Page[17]=new Array("This documentation provides information on using the Integration API, a flexible Java-based and cross-platform interface to P6 project management functionality.","Click the links below for document descriptions and to access each document.","Integration API Documents","34010.htm");
Page[18]=new Array("Explains how to install and configure the P6 Integration API, which allows direct access to P6 EPPM via Java. Those creating client code in Java and needing direct access to the P6 EPPM database should read this guide.","Click here for the Integration API Administrator's Guide","Integration API Administrator's Guide","primavera_p6_integration_api_administrator_s_guide_1.htm");
Page[19]=new Array("The Primavera Integration API Programmer's Reference describes how to access and write code against the API.","Click here for the Integration API Programmer's Reference","Integration API Programmer's Reference","32764.htm");
Page[20]=new Array("The Integration API documentation contains a list of Primavera P6 packages, interfaces, classes, methods, and fields that are included with the Integration API, along with reference and usage details.","Click here to open the Integration API Documentation","Integration API Documentation","33983.htm");
Page[21]=new Array("The P6 Web Services documentation provides information on using P6 Web Services to leverage open standard interfaces for creating integrated software solutions that interoperate with a wide variety of enterprise software applications running on diverse hardware and operating system platforms.","Click the links below for document descriptions and to access each document.","Web Services Documents","34011.htm");
Page[22]=new Array("The Web Services Administrator's Guide describes how to install, configure, and deploy P6 Web Services, which enables organizations to seamlessly integrate Primavera functionality into other web-based applications using web services standards. This guide also describes how to:","Configure database settings","Define P6 Web Services configuration settings","Configure authentication modes","Click here for the Web Services Administrator's Guide","Web Services Administrator's Guide","primavera_p6_WS_administrator_s_guide_1.htm");
Page[23]=new Array("The Primavera P6 Web Services Programmer's Guide, available as an HTML help system, describes how to invoke, use, and troubleshoot the available services and operations within the supported environments.","Click here for the Web Services Programmer's Guide","Web Services Programmer's Guide","32765.htm");
Page[24]=new Array("The Primavera P6 Web Services Reference Manual, available as an HTML help system, comprehensively describes all services and operations available in P6 Web Services.","Click here for the Web Services Reference Manual","Web Services Reference Manual","32766.htm");
Page[25]=new Array("This guide explains how to install and configure the P6 Reporting Database R1 (6.2.1) application, and how to generate Operational Data Store (ODS) and Star Schema Database (Star) databases.","Click Here for the P6 Reporting Database R1 (6.2.1) Administrator's Guide @","Note: This version was renamed from P6 Reporting Database version 6.2.1 to P6 Reporting Database R1 (6.2.1).","Reporting Database R1 (6.2.1) Administrator's Guide","33954.htm");
Page[26]=new Array("The P6 Reporting Database User's Guide explains how to use Operational Data Store (ODS) and Star Schema Database (Star) with the Project Management module to extract data that can be used to create reports through a third-party reporting tool.","Click here for the P6 Reporting Database User's Guide @","Note: This version was renamed from P6 Reporting Database version 6.2.1 to P6 Reporting Database R1 (6.2.1).","Reporting Database R1 (6.2.1) User's Guide","33955.htm");
Page[27]=new Array("For the supported hardware and software configurations for P6 Reporting Database R1 (6.2.1), refer to the Tested Configurations Document.","Click Here for Reporting Database R1 (6.2.1) Tested Configurations @","Reporting Database R1 (6.2.1) Tested Configurations","36341.htm");
Page[28]=new Array("These documents show the mapping from the P6 Reporting Database R2 and P6 Analytics R1 persisted fields to the fields in the database from where they are derived. The document is available as a list or table.","Click here for the Reporting Database R1 (6.2.1) ODS Field Mapping List @","Click here for the Reporting Database R1 (6.2.1) ODS Field Mapping Table @","Click here for the Reporting Database R1 (6.2.1) STAR Field Mapping List @","Click here for the Reporting Database R1 (6.2.1) STAR Field Mapping Table @","Reporting Database R1 (6.2.1) Field Mapping","36331.htm");
Page[29]=new Array("This guide explains how to install and configure the P6 Reporting Database R2 and P6 Analytics R1 application, and how to generate Operational Data Store (ODS) and Star Schema Database (Star) databases.","Click Here for the P6 Reporting Database R2 and P6 Analytics R1 Administrator's Guide @","Reporting Database R2 and P6 Analytics R1 Administrator’s Guide","35049.htm");
Page[30]=new Array("Click here to open the Reporting Database R2 Installation Checklist","Reporting Database R2 Installation Checklist","48005.htm");
Page[31]=new Array("This guide explains how to use Operational Data Store (ODS) and Star Schema Database (Star) with the Project Management module to extract data for use in creating reports through the Oracle Business Intelligence Suite.","Click here for the P6 Reporting Database R2 and P6 Analytics R1 User's Guide @","Reporting Database R2 and P6 Analytics R1 User's Guide","35108.htm");
Page[32]=new Array("For the supported hardware and software configurations for P6 Reporting Database R2 and P6 Analytics R1, refer to the Tested Configurations Document.","Click Here for Reporting Databases Tested Configurations @","Reporting Database R2 and P6 Analytics R1 Tested Configurations","35829.htm");
Page[33]=new Array("These documents show the mapping from the P6 Reporting Database R2 and P6 Analytics R1 persisted fields to the fields in the database from where they are derived. The document is available as a list or table.","Click here for the Reporting Database Field Mapping list @","Click here for the Reporting Database Field Mapping table @","Reporting Database R2 and P6 Analytics R1 Field Mapping","35834.htm");
Page[34]=new Array("Primavera provides zip files that contain the tables and fields that comprise the database schemas for P6 Reporting Database R2 and P6 Analytics R1.","Operational Data Store (ODS) schema tables @","Star Schema Database (Star) schema tables @","Download Oracle SQL Developer Data Modeler Viewer to view these schemas.","Reporting Database R2 and P6 Analytics R1 Schema Documentation","35854.htm");
Page[35]=new Array("The Primavera Compression Server compresses data to enable faster data transfer between the Primavera database and the Project Management module client. The Primavera P6 Compression Server Administrator's Guide provides installation and configuration information for the Primavera Compression Server, including:","Overview of the Compression Server architecture","Compression Server installation planning and prerequisites","Database server configuration","Compression Server configuration","Configuring database connection settings","Troubleshooting information","Click here for the Compression Server Administrator's Guide","Click here for the Compression Server White Paper","Compression Server Administrator's Guide","primavera_p6_compression_server_administrator_s_guide.htm");
Page[36]=new Array("Primavera provides several documents that detail how data is mapped between P6 EPPM and other data formats and applications. You can exchange data between Project Management module users using XER (Primavera's proprietary exchange format) or XML files. You can also exchange data with Primavera Contract Management (formerly Expedition), Primavera Contractor, Microsoft Project, and Microsoft Excel users. Click the links below for the associated import/export data mappings.","XER import/export &#8211;tables and fields exported to XER when exporting Projects","XER import/export &#8211;tables and fields exported to XER when exporting Resources only","XER import/export &#8211;tables and fields exported to XER when exporting Roles only","XLS import/export &#8211;columns and fields exported to XLS files","MSP import/export &#8211;data mappings between P6 and Microsoft Project (formats other than MPX)","MPX import/export &#8211;data mappings between P6 and Microsoft Project","Expedition 9.x and later &#8211;data mappings for import from Expedition 9.x and later (now known as Contract Management) to P6","Import/Export Data Mappings","import_export_data_mappings.html");
Page[37]=new Array("Although here are no actual schema differences between the database objects from P6 v6.2 / P6 v6.2.1 to v7, there are node type data differences. Because of these node type data differences, the Jackrabbit Content Repository requires a migration from P6 v6.2 / P6 v6.2.1 to v7. This technical document describes how to accomplish the migration. ","Click here for the JackRabbit Content Repository Migration to P6 v7 document","JackRabbit Content Repository Migration to P6 v7","jackrabbit_content_repository_migration_to_p6_v7.htm");
Page[38]=new Array("Primavera recommends that you automatically upgrade your Primavera database(s) using Primavera's automatic database upgrade utility; however, you can manually upgrade your Primavera database(s) if necessary. You can manually upgrade a 5.0 or higher Oracle or SQL database using the instructions in the following documents:","Manually upgrade a Primavera Oracle database.","Manually upgrade a Primavera SQL database.","Manual Database Upgrades","manual_database_upgrades.htm");
Page[39]=new Array("Oracle Identity Manager is a highly flexible and scalable enterprise identity management system that centrally administers user accounts and access privileges. This document assists administrators in configuring Oracle Identity Manager (OIM) for use with an Oracle Primavera P6 Enterprise Portfolio Project Management (EPPM) installation.","Click here for the Connecting Oracle Primavera P6 with Oracle Identity Manager document","Oracle Identity Manager","oracle_identity_manager.htm");
Page[40]=new Array("Primavera provides zip files that contain the tables and fields that comprise the database schemas.","Project Management schema tables","Methodology Management schema tables","JackRabbit schema tables","Download Oracle SQL Developer Data Modeler Viewer to view these schemas.","Database Schema Documentation","schema_documentation.html");
Page[41]=new Array("Use the SDEF Conversion utility to convert your projects to/from SDEF (Standard Data Exchange Format). The SDEF format enables users of different project management tools to exchange project data.","Click here for the SDEF Conversion Guide","SDEF Conversion","sdef_conversion.htm");
Page[42]=new Array("In addition to the documentation provided here, Oracle Primavera provides comprehensive help systems for all of its products, including the following:","Help Systems","Project Management Help is available within the application, from the Windows Start menu, or from the Primavera installation folder (Project Management subfolder).","Methodology Management Help is available within the application, from the Windows Start menu, or from the Primavera installation folder (Methodology Management subfolder).","Other Documentation","other_primavera_documentation.htm");
Page[43]=new Array("Click here to read Commercial Notices and Disclosures","Commercial Notices and Disclosures","32783.htm");
Page[44]=new Array("Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved.","The Programs (which include both the software and documentation) contain proprietary information; they are provided under a license agreement containing restrictions on use and disclosure and are also protected by copyright, patent, and other intellectual and industrial property laws. Reverse engineering, disassembly, or decompilation of the Programs, except to the extent required to obtain interoperability with other independently created software or as specified by law, is prohibited.","The information contained in this document is subject to change without notice. If you find any problems in the documentation, please report them to us in writing. This document is not warranted to be error-free. Except as may be expressly permitted in your license agreement for these Programs, no part of these Programs may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose.","The platform-specific hardware and software requirements included in this document were current when this document was published. However, because new platforms and operating system software versions might be certified after this document is published, review the certification matrix on the My Oracle Support (formerly OracleMetaLink) Web site for the most up-to-date list of certified hardware platforms and operating system versions. The My Oracle Support (formerly OracleMetaLink) Web site is available at the following URL:","http://metalink.oracle.com/","or","http://support.oracle.com/","If the Programs are delivered to the United States Government or anyone licensing or using the Programs on behalf of the United States Government, the following notice is applicable: U.S. GOVERNMENT RIGHTS Programs, software, databases, and related documentation and technical data delivered to U.S. Government customers are &quot;commercial computer software&quot; or &quot;commercial technical data&quot; pursuant to the applicable Federal Acquisition Regulation and agency-specific supplemental regulations. As such, use, duplication, disclosure, modification, and adaptation of the Programs, including documentation and technical data, shall be subject to the licensing restrictions set forth in the applicable Oracle license agreement, and, to the extent applicable, the additional rights set forth in FAR 52.227-19, Commercial Computer Software -- Restricted Rights (June 1987). Oracle USA, Inc., 500 Oracle Parkway, Redwood City, CA 94065.","The Programs are not intended for use in any nuclear, aviation, mass transit, medical, or other inherently dangerous applications. It shall be the licensee's responsibility to take all appropriate fail-safe, backup, redundancy and other measures to ensure the safe use of such applications if the Programs are used for such purposes, and we disclaim liability for any damages caused by such use of the Programs.","Oracle and Primavera are registered trademarks of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners. The Programs may provide links to Web sites and access to content, products, and services from third parties. Oracle is not responsible for the availability of, or any content provided on, third-party Web sites. You bear all risks associated with the use of such content. If you choose to purchase any products or services from a third party, the relationship is directly between you and the third party. Oracle is not responsible for: (a) the quality of third-party products or services; or (b) fulfilling any of the terms of the agreement with the third party, including delivery of products or services and warranty obligations related to purchased products or services. Oracle is not responsible for any loss or damage of any sort that you may incur from dealing with any third party.","To view the P6 Commercial Notices and Disclosures for Documentation, go to the \\Documentation\\&lt;language&gt;\\Notices and Disclosures folder of the P6 physical media or download.","Copyright","46576.htm");
var PageCount=45;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="UTF-8" src="dhtml_search.js"></script>\n';
Result+='<script type="text/javascript" src="styleswitcher.js"></script>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css"  title="default"/>\n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="stylesheetcontrast.css"  title="contrast"/>\n';
Result+='<!--default -->\n';
Result+='<link rel="stylesheet" href="docsstylesheet.css"  type="text/css" title="default"/> \n';
Result+='<!--alternate -->\n';
Result+='<link rel="alternate stylesheet" disabled="true" type="text/css" href="docsstylesheetcontrast.css" title="contrast"/>\n';
Result+="</head>\n";
Result+="<body class='searchcontents' onload='javascript:document.SearchForm.SearchText.focus();ondoc()'>\n"; 
Result+='<table class="searchDetails" border="0" cellspacing="0" cellpadding="2" width="100%">\n';
Result+='<tr><td>Enter a keyword or phrase</td></tr>';
Result+='<tr><td>';
Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;Go&nbsp;"/></form>';
Result+='</td></tr></table>\n';

if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='5' class='searchResults' width='100%'>";
   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,FoundWord.bold())+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,FoundWord.bold())+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,FoundWord.bold())+"\n";
                   }
               }
               Result+="</td></tr>";
               break;
           }
       }
   }
   Result+="</table>";
   Result+="<p class='searchDetails'>&nbsp;" + NrRes + " result(s) found.</p>";
}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}